{{ $build_future := false -}}
{{ if .GetPage "/dummy_future.md" -}}
  {{ $build_future = true -}}
{{- end }}
<table class="table-pretty table-media-coverage" id="media-coverage">
  <caption>{{ i18n "media_coverage" | strings.FirstUpper }}</caption>
  <thead>
    <tr>
      <th id="col_date">{{ i18n "date" | strings.FirstUpper }}</th>
      <th id="col_medium">{{ i18n "medium" | strings.FirstUpper }}</th>
      <th id="col_item">{{ i18n "item" | strings.FirstUpper }}</th>
    </tr>
  </thead>
  <tbody>
  {{ range $i_row, $i_col := (getCSV "," "static/datasets/media_coverage.csv") -}}
    {{ if ne $i_row 0 -}}
      {{/* NOTE: we currently don't omit items that lie in the future */ -}}
      {{ $item_date := index $i_col 0 | time -}}
      {{/* if (or (le $item_date.Unix now.Unix) $build_future) */ -}}
        {{ $item_url := index $i_col 4 -}}
        {{ $has_item_url := gt (len $item_url) 0 -}}
        <tr>
          <td headers="col_date">{{ index $i_col 0 | time.Format ":date_long" }}</td>
          <td headers="col_medium"><span title="{{ index $i_col 2 | markdownify }}">{{ index $i_col 2 | markdownify | truncate 50 }}</span></td>
          <td headers="col_item">
            {{ if $has_item_url }}<a{{ else }}<span{{ end }} title="{{ index $i_col 3 | markdownify }}"{{ if $has_item_url }} href="{{ $item_url }}" target="_blank" rel="noopener"{{ end }}>
              {{ index $i_col 3 | markdownify | truncate 98 }}
            {{ if $has_item_url }}</a{{ else }}</span{{ end }}></td>
        </tr>
      {{- /* end */}}
    {{- end }}
  {{- end }}
  </tbody>
</table>
